7-Zip Start Page

7-Zip

Welcome to 7-Zip 4.57!

7-Zip is a file archiver with a high compression ratio.

The documentation for 7-Zip includes:

  • General information about 7-Zip
  • User's Guide for 7-Zip File Manager
  • User's Guide for command line version

See Also

  • How to register to 7-Zip
  • Frequently Asked Questions (FAQ)

Copyright (c) 1999-2007 Igor Pavlov

Web site: www.7-zip.org

Support: www.7-zip.org/support.html

Subscribe to news: http://www.7-zip.org/subscribe.html

Forum, bugs tracking: http://sourceforge.net/projects/sevenzip/


General Information

The main features of 7-Zip

  • Powerful file manager
  • High compression ratio and high speed
  • Big number of supported archive formats
  • Additional command line version

See Also

  • How to register 7-Zip
  • License for use and distribution


Supported formats

Format | Compressing | Decompressing | Filename Extensions
7z | X | X | 7z
ZIP | X | X | zip
GZIP | X | X | gz gzip tgz
BZIP2 | X | X | bz2 bzip2 tbz2 tbz
TAR | X | X | tar
RAR |  | X | rar
CAB |  | X | cab
ARJ |  | X | arj
Z |  | X | z taz
CPIO |  | X | cpio
RPM |  | X | rpm
DEB |  | X | deb
LZH |  | X | lzh lha
SPLIT |  | X | 001 002 ...
CHM |  | X | chm chw hxs
ISO |  | X | iso
COMPOUND |  | X | msi doc xls ppt
WIM |  | X | wim swm
NSIS |  | X | exe

ZIP

7-Zip creates fully ZIP compatible archives. Anyone can decompress these files by any ZIP compatible decompression utility. During compression 7-Zip can use one of the following ZIP compression methods:

  • 0 - Store
  • 8 - Deflate
  • 9 - Deflate64
  • 12 - BZip2

The current version of the 7-Zip can extract any files from ZIP archive that were compressed with one of the following methods:

  • 0 - Store
  • 1 - Shrink
  • 6 - Implode
  • 8 - Deflate
  • 9 - Deflate64
  • 12 - BZip2

Files compressed with other ZIP compression methods can't be extracted by the current version of the 7-Zip. But these supported methods are the most popular today, and therefore 7-Zip can decompress most ZIP archives. To extract files compressed with non-supported methods you must use some other ZIP utility.

7-Zip supports the Zip64 extension of ZIP format.

The current version of 7-Zip doesn't support Zip multivolume archives.

LZH

7-Zip supports LZH archives only for listing, browsing and decompressing. 7-Zip supports -lh0-, -lh4-, -lh5-,-lh6- and -lh7- methods.


7z Format

7z is a new archive format, providing a high compression ratio.

The main features of the 7z format:

  • Open architecture
  • High compression ratio
  • Strong AES-256 encryption
  • Ability to use any compression, conversion or encryption method
  • Supports files with sizes up to 16000000000 GB
  • Unicode file names
  • Solid compression
  • Archive headers compression

7z has an open architecture, so it can support any new compression methods.

The following methods currently are integrated into 7z:

Method | Description
LZMA | Improved and optimized version of LZ77 algorithm
PPMD | Dmitry Shkarin's PPMdH with small changes
BCJ | Converter for 32-bit x86 executables
BCJ2 | Converter for 32-bit x86 executables
BZip2 | Standard BWT algorithm
Deflate | Standard LZ77-based algorithm

LZMA is the default and general compression method of 7z format. The main features of the LZMA method:

  • High compression ratio
  • Variable dictionary size (up to 4 GB)
  • Compression speed: about 1 MB/s on 2 GHz CPU
  • Decompression speed: about 10-20 MB/s on 2 GHz CPU
  • Small memory requirement for decompression (depends from dictionary size)
  • Small code size for decompression: about 5 KB
  • Supports multi-threading and P4's hyper-threading

The LZMA compression algorithm is very suitable for embedded applications. If you want to use LZMA code, you can ask for consultation, custom code programming, and required developer licenses at

www.7-zip.org/support.html

7-Zip also supports encryption with the AES-256 algorithm. This algorithm uses a cipher key with length of 256 bits. To create the key, 7-Zip uses a derivation function based on an SHA-256 hash algorithm. A key derivation function produces a derived key from a text password defined by the user. To increase the cost of an exhaustive search for passwords, 7-Zip uses a big number of iterations to produce the cipher key from the text password.

Tips for selecting password length

Here is an estimate of the time required for an exhaustive password search attack, when the password is a random sequence of lowercase Latin letters.

We suppose that one user can check 10 passwords per second and an organization with a budget of about $1 billion can check 10 billion passwords per second. We also suppose that the processor in use doubles its performance every two years; so, each additional Latin letter of a long password adds about 9 years to an exhaustive key search attack.

The result is this estimate of the time to succeed in an attack:

Password Length | Single User Attack | Organization Attack
1 | 2 s | 1 s
2 | 1 min | 1 s
3 | 30 min | 1 s
4 | 12 hours | 1 s
5 | 14 days | 1 s
6 | 1 year | 1 s
7 | 10 years | 1 s
8 | 19 years | 20 s
9 | 26 years | 9 min
10 | 37 years | 4 hours
11 | 46 years | 4 days
12 | 55 years | 4 months
13 | 64 years | 4 years
14 | 73 years | 13 years
15 | 82 years | 22 years
16 | 91 years | 31 years
17 | 100 years | 40 years


Performance

ZIP Format

Compression ratio results are very dependent upon the data used for the tests. We compared 7-Zip with some of the leading commercial archivers: PKZIP 2.04g, WinZip 7.0.

FILE SET: The Canterbury Corpus (11 files totaling 2,810,784 bytes, popular file set used to compression rates).

Archiver | Compressed size | Ratio
7-Zip (zip format) | 676284 | 100%
PKZIP 2.04g -ex | 726047 | 107%
WinZip 7.0 (Max) | 731499 | 108%

7z Format

7z is the new archive format, providing a high compression ratio.

FILE SET: The GIMP 1.2.4 for Windows after full installation (127 subfolders, 1304 files totaling 27,128,826 bytes). The GIMP is the GNU Image Manipulation Program. It can be downloaded from www.gimp.org.

Archiver | Compressed size | Ratio
7-Zip (7z format) | 5445402 | 100%
WinRAR 3.10 | 6004155 | 110%
WinAce 2.3 | 6242424 | 115%
CABARC 1.0 | 6455327 | 119%
7-Zip (zip format) | 9461621 | 174%
PKZIP 2.50 | 9842800 | 181%

GZIP Format

7-Zip provides the best compression ratio for GZIP format. The compression ratio is equal to its compression ratio for ZIP format (above).

RAR Format

7-Zip provides superior decompression speed for RAR archives. For solid archives it decompresses only the minimum number of files needed. For example, consider a solid archive archive.rar containing 100000 files created by the command:
rar a archive.rar -s100 * -r
In this solid archive, each group of 100 files is compressed as one big file. To extract one file from that archive, 7-Zip will decompress (in memory) only some files from one group. As a result, 7-Zip can provide the combined advantages of solid compression and high speed of decompression.


Frequently Asked Questions (FAQ)

Can I use 7-Zip in a commercial organization?

Yes, 7-Zip is free software. You can use it on any computer. You don't need to register or pay for 7-Zip.

Why doesn't the command line version add files that do not have any extension?

You probably used a *.* wildcard. 7-Zip doesn't use the Windows system wildcard parser; so, 7-Zip doesn't follow the archaic rule by which *.* matches every file name. 7-Zip treats *.* as matching only a file name with an extension. To process all files, you must use a * wildcard or just omit the wildcard entirely.

Why doesn't adding, deleting or updating an existing archive work?

The current version of 7-Zip cannot change an archive created with the solid option switched on. To update a .7z archive you must create and update the archive in non-solid mode (-ms=off switch)

What about support for ACE archives?

Support for ACE can be implemented, if the source code of that format is made available, and if the source code license will allow using that code.


License for use and distribution

License

7-Zip Copyright (C) 1999-2007 Igor Pavlov.

Licenses for files are:

  • 7z.dll: GNU LGPL + unRAR restriction
  • All other files: GNU LGPL

    The GNU LGPL + unRAR restriction means that you must follow both GNU LGPL rules and unRAR restriction rules.

    Note: You can use 7-Zip on any computer, including a computer in a commercial organization. You don't need to register or pay for 7-Zip.

    Read file License.txt for full information about license.


Register 7-Zip

7-Zip is free software. However, you can support development of 7-Zip by registering.

You can find all information about registering at:

http://www.7-zip.org/register.html

Thank you very much in advance!


Thanks

I would like to thank:

  • ARJ Software - for ARJ format.
  • Wei Dai - for SHA-256 code and Crypto++ Library
  • Jeff Gilchrist - for compressing tests
  • Brian Gladman - for AES code in previous versions of 7-Zip
  • Szymon Grabowski - for some ideas
  • Microsoft Corporation - for CAB format description, and WiX (Windows Installer XML)
  • myspace - for porting to Unix/Linux, testing, bug fixing and more
  • Nullsoft, Inc. and NSIS team - for NSIS (Nullsoft Scriptable Install System)
  • Robert Martinez - 7-Zip Logo
  • Markus Oberhumer and Laszlo Molnar - for UPX program
  • Alexander Ratushnyak - for compressing tests
  • Eugene Roshal - for RAR format
  • Matthew Russotto - for CHM/CAB format description
  • Julian Seward - for BZip2 format
  • Eugene Shelwien - for some ideas and algorithms
  • Dmitry Shkarin - for PPMd algorithm
  • Yoshioka Tsuneo - for TAR32 program
  • Vadim Yoockin - for compressing tests
  • Bulat Ziganshin - for some ideas
  • John Michael Williams - for help file corrections

Localization team:

  • Afrikaans - Petri Jooste
  • Albanian - MIkel Hasko
  • Arabic - Mohammad Deeb, Awadh A Al-Ghaamdi
  • Armenian - Gevorg Papikyan
  • Asturian - Dinamiteru
  • Azeri - F@rhad
  • Basque - Inigo Salvador Azurmendi
  • Belarusian - Kirill Gulyakevitch, Drive DRKA
  • Breton - KAD-Korvigellou An Drouizig
  • Bulgarian - Chavv, icobgr
  • Catalan - Josep Casals, Gaizka Boleko, Marc Folch
  • Chinese Simplified - Modern Tiger, kaZek, Hutu Li, Junior.Spirit
  • Chinese Traditional - Leon Tseng, sec2
  • Croatian - Alan Simek, Hasan Osmanagic
  • Czech - Jaromir Veber, Milan Hruby, Michal Molhanec
  • Danish - Jakob Schmidt, Kian Andersen
  • Dutch - Bert van Velsen, Jeroen van der Weijde, Harm Hilvers, Jeroen Tulp
  • Esperanto - Dmitri Gabinski
  • Estonian - Kaupo Suviste
  • Extremaduran - Miguel Angel
  • Farsi - Edris Naderan, Mehdi Farhadi
  • Finnish - Ari Ryynanen, Jarko P., Juhani Valtasalmi
  • French - Nicolas Sierro, Philippe Berthault
  • Friulian - Andrea Decorte
  • Frisian - Berend Ytsma
  • Galician - Xose Calvo
  • Georgian - Dimitri Gogelia
  • German - Soeren Finster, JAK-Software, Joachim Henke
  • Greek - Vasileios Karakoidas, Jacaranda Bill
  • Hebrew - Gal Brill, Jonathan Lahav
  • Hungarian - Jozsef Tamas Herczeg
  • Ido - iZoom
  • Indonesian - M. Rofiq Setiawan
  • Italian - Leandro Spagnol, TJL73
  • Japanese - Komuro, Mick, 2chBBS-software, Stepanushkin Dmitry
  • Korean - bzImage, ZannyLim, Hyeongil Kim (kurt Sawyer)
  • Kurdish - Rizyoye Xerzi
  • Latvian - Armands Radzushka
  • Lithuanian - Marius Navickas
  • Macedonian - Gabriel Stojanoski
  • Malay - Khairul Ridhwan Omar
  • Marathi - Subodh Gaikwad
  • Mongolian - Bayar
  • Norwegian Bokmal - Christoffer Andersen, Kjetil Hjartnes, Robert Gronning
  • Norwegian Nynorsk - Robert Gronning
  • Polish - Cienislaw, Pixel, F1xat
  • Portuguese Brazil - Francisco Jr, Fabricio Biazzotto, Atualizado por Felipe
  • Portuguese Standard - Carlos Macao, Joao Alves, Rui Costa
  • Romanian - Lucian Nan
  • Serbo-Croatian - Miodrag Jevremovicc
  • Slovak - Tomas Tomasek, Pavel Devecka
  • Slovenian - Jernej Simoncic, miles
  • Spanish - Pablo Rodriguez, Jbc25, Guillermo Gabrielli
  • Swedish - Andreas Nilsson and Christoffer Enqvist
  • Tamil - Ve Elanjelian
  • Tatarish - Albert Fazli
  • Thai - Chayanon Ruamcharoen
  • Turkish -
  • Ukrainian - Andrij Ilechko, Mokiy Mazaylo, Sergiy Gontaruk
  • Uzbek - Sherzod Mamatkulov
  • Valencian - Tomas Miralles, Fernando Verdu
  • Vietnamese - Tran Hong Ha, Le Vu Hoang
  • Voro - Valdis Laan
  • Welsh - Owain Lewis


7-Zip File Manager

The 7-Zip File Manager is a program for manipulating files and folders.

The 7-Zip File Manager can work with two panels. You can switch between panels by pressing the Tab button. Most of the operations can be executed using keyboard shortcuts or by right-clicking on items and selecting the appropriate command from menu.

In This Section

Menu Items and Shortcut Keys
Describes the menu items and keyboard shortcut.
Options Dialog Box
Describes what settings you can change that affect the 7-Zip File Manager.
Benchmark
Describes a 7-Zip Benchmark for measuring CPU performance.
About Dialog Box
Provides information about 7-Zip.
Plugins
Describes plugins for the 7-Zip File Manager.


Menu Items and Shortcut Keys

Menu Items

Note: 'Grey' refers to the numeric keypad.

File

Menu item | Shortcut | Description
System |  | Submenu with menu commands from system shell
Open | Enter | Open current item
Open Inside | Ctrl+PgDn | Open current item as folder inside 7-Zip
Open Outside | Shift+Enter | Open current item in new window
Edit | F4 | Open selected item with editor
Rename | F2 | Rename selected item
Copy To... | F5 | Copy selected items
Move To... | F6 | Move selected items
Delete | Delete | Delete selected items
Split file... |  | Split file to parts
Combine files... |  | Combine files to one file
Comment | Ctrl+Z | Set comment for file
Calculate checksum |  | Calculates CRC checksum for files
Create Folder | F7 | Create new folder
Create File | Shift+F4 | Creates new file
Exit | Alt+F4 | Closes the program.

Edit

Menu Item | Shortcut | Description
Select All | Shift+[Grey +] | Select all items
Deselect All | Shift+[Grey -] | Select all items
Invert Selection | [Grey *] | Select / Deselect all items
Select... | [Grey +] | Select specified items
Deselect... | [Grey -] | Deselect specified items
Select by Type | Alt+[Grey +] | Select all items with the same extension as current item
Deselect by Type | Alt+[Grey -] | Deselect all items with the same extension as current item

View

Menu Item | Shortcut | Description
Large Icons | Ctrl+1 | Displays items by using large icons
Small Icons | Ctrl+2 | Displays items by using small icons
List | Ctrl+3 | Displays items in a list
Details | Ctrl+4 | Displays items in a list with detailed information about each item
Name | Ctrl+F3 | Sort items by Name
Type | Ctrl+F4 | Sort items by Type
Date | Ctrl+F5 | Sort items by Date
Size | Ctrl+F6 | Sort items by Size
Unsorted | Ctrl+F7 | Do not sort items
Flat View |  | Switch Flat view mode for list of files
2 Panels | F9 | Switch On/Off second panel
Toolbars |  | Menu items for toolbars handling
Open Root Folder | \ | Open root computer folder
Up One Level | Backspace | Open the folder one level up
Folders History... | Alt+F12 | Open folders history
Refresh | Ctrl+R | Refresh items list

Options

Menu Item | Shortcut | Description
Options... |  | Open Options dialog box

Favorites

Menu Item | Shortcut | Description
Add folder to Favorites as |  | Adds folder to favorities

Help

Menu Item | Shortcut | Description
Contents... | F1 | Opens 7-Zip Help
About 7-Zip... |  | Opens About dialog box

Miscellaneous commands

Shortcut | Description
Tab | Switch between panels
Insert | Select / Deselect current item
Shift+F10 | Display the shortcut menu for the selected items
RightCtrl+0 Alt+0 ... RightCtrl+9 Alt+9 | Open folder bookmark
Shift+RightCtrl+0 Shift+Alt+0 ... Shift+RightCtrl+9 Shift+Alt+9 | Creates folder bookmark
Alt+F1 | Edit the Folder Address on left panel
Alt+F2 | Edit the Folder Address on right panel
Ctrl+[Grey +] | Adjust optimal column width for items
Alt+Up | Open same folder in other panel
Alt+Left, Alt+Right | Open current folder in other panel

Keyboard Shortcuts

Key | Normal | Ctrl | Alt | Shift
Tab | Switch panel |  |  |
F1 | Help |  | Left Path |
F2 | Rename |  | Right Path |
F3 | View | Sort by Name |  |
F4 | Edit | Sort by Type | Exit | Create File
F5 | Copy | Sort by Date |  |
F6 | Move | Sort by Size |  |
F7 | Create Folder | Unsorted |  |
F9 | 1/2 Panels |  |  |
F10 | Menu |  |  | Shortcut Menu
F12 |  |  | Folders History |
0-9 |  | R: Folder Bookmark | Folder Bookmark |
A |  | Select All |  |
N |  | Create File |  |
R |  | Refresh |  |
Z |  | Comment |  |
Backspace | Up One Level |  |  |
Enter | Open |  | Properties | Open outside
Insert | Select Item |  |  |
Delete | Delete Item |  |  |
Page Down |  | Open Inside |  |
Page Up |  | Up One Level |  |
Up |  |  | Open same folder |
Left |  |  | Open current folder |
Right |  |  | Open current folder |
\ | Open root |  |  |
Grey / | Open root |  |  |
Grey * | Select All |  |  |
Grey + | Select | Adjust columns | Select by Type | Select All
Grey - | Deselect |  | Deselect by Type | Deselect All


Options Dialog Box

You can change many of the settings that affect the 7-Zip File Manager in the Options dialog box. To access this dialog box select Options from the Tools menu.

The options dialog box contains the following pages:

  • System Page
  • Plugins Page
  • Editor Page
  • Settings Page
  • Language Page

System Page

Allows you to specify the behavior of 7-Zip in the filing system.

Associate 7-Zip with
Lists the file name extensions and associated plugins that are currently registered with 7-Zip. If file name extension is checked, 7-Zip will be used to open file with that extension. In any case you can always open all archives with 7-Zip via your right-click context menu.

Plugins Page

Allows you to specify settings for the installed plugins.

Plugins
Lists the plugins. For modifying settings of plugins, you must select the plugin and press the Options button.

Editor Page

Allows you to specify settings for the editor.

Editor
Specifies the path to the editor.

Settings Page

Allows you to specify some settings.

Show .. item
Shows .. item in file list.
Show real file icons
Shows real file icons in file list. If this option is enabled, listing updates can be slower.
Show system menu
Shows a system context sub-menu in the File menu.
Full row select
When an item is selected, the item and all its subitems are highlighted.
Show grid lines
Displays gridlines around items and subitems.
Alternative selection mode
If enabled, File Manager keeps selection mark when you move cursor.
Use large memory pages
If enabled, 7-Zip will try to use large pages. This feature allows an increase in speed of compression. This may cause 7-Zip to pause when starting compression, because of allocation of the large pages. Also, the Windows Task Manager doesn't show the real memory usage of the program, if 7-Zip uses large pages. This feature works only on Windows 2003 / XP x64 / Vista. Also you must have administrator's rights for your system. Recommended size of RAM: 1 GB or more. To install this feature you must run 7-Zip File Manager at least once, close it and reboot the system.

Language Page

Allows you to change the default language.

Language
Lists the available languages.


Benchmark

This form allows you to measure the performance of your computer.

There are two tests:

  1. Compression with LZMA method
  2. Decompression with LZMA method

The benchmark shows a rating in MIPS (million instructions per second). The rating value is calculated from the measured speed, and it is normalized to an Intel Core 2 Duo E6600 (2.4 GHz, 4 MB L2) CPU in 64-bit Windows with multi-threading option switched off. So if you have Intel Core 2 Duo, rating values must be close to real CPU frequency.

You can change the dictionary size to increase memory usage. Also you can change the number of threads.

The CPU Usage column shows the percentage of time the processor is working. It's normalized for a one-thread load. For example, 180% CPU Usage for 2 threads can mean that average CPU usage is about 90% for each thread.

The Rating / Usage column shows rating normalized for 100% of CPU usage. That column shows performance of the one CPU thread.

The Total rating shows averages of the compressing and decompression ratings.

Compression speed and rating strongly depend from memory (RAM) latency.

Decompression speed and rating strongly depend on CPU integer operations. For example, an Intel Pentium 4 has big branch misprediction penalty (which is effect of long pipeline) and pretty slow multiply and shift operations. So, the Pentium 4 has pretty low decompressing ratings.

Also the program checks possible errors. If the program shows some error message, in most cases it means that your RAM is defective. If so, don't use 7-Zip for compressing data, since such errors can lead to data losses.


About Dialog Box

The About dialog box provides information about 7-Zip and allows you to register 7-Zip. This dialog box is available from the Help menu.

  • Press www.7-zip.org button for opening 7-Zip Home Page.
  • Press Register button to register 7-Zip.
See also Register 7-Zip for more details how to register 7-Zip.


Plugins

The 7-Zip File Manager can use internal and external plugins.

Currently 7-Zip uses the following plugins:

7-Zip
Plugin for manipulating archives.


7-Zip Plugin

7-Zip is a plugin for manipulating archives. It makes all archive files look like usual folders in File Manager.

Most of the operations with compressed files can be initiated by right-clicking on files in the File Manager (or in Windows Explorer) and selecting the appropriate command from a menu.

Using 7-Zip

Opening archive

There are two ways to open an archive file:

  • If you have the file type associated with 7-Zip, then you can open the file with 7-Zip by double-clicking the file or by right-clicking and selecting the Open command.
  • You can right-click the archive file, point to 7-Zip, and then click the Open command item.
Extracting archive

There are two ways to extract files from an archive:

  • To extract all files from an archive right-click the archive file, point to 7-Zip, and then click the Extract files... command item.
  • To extract specific files from an archive, open it by Open archive with 7-Zip, select the items to extract, and run the Copy To... command.

Extract Dialog will appear.

Testing archive

To test an archive, right-click the archive file, point to 7-Zip, and then click the Test archive command item.

Creating and updating files in an archive

For creating or updating an archive file, right-click the file(s) or folder(s) you want to compress, point to 7-Zip, and then click the Add to archive... command item. Add to Archive Dialog will appear.


Add to Archive Dialog Box

Allows you to specify options for creating or updating an archive.

How to call this dialog box

  1. In Windows Explorer or in 7-Zip, right-click the file(s) or folder(s) you want to compress.
  2. Point to 7-Zip, and then click the Add to archive... command item.

Parameters

Archive
Provides a space for you to specify a destination archive name. You can click "..." button to display "Open" dialog box that you can use to locate archive.
Archive format
Specifies a format of created archive. Some formats (gzip and bzip2) do not support compressing more the one file per archive.
Compression level

Specifies compression level. There are 6 levels of compression:

Value | Meaning
Store | Files will be copied to archive without compression.
Fastest | Fastest compression.
Fast | Fast compression.
Normal | Compression with balanced settings.
Maximum | Can give a higher compression ratio than Normal level. But it can be slower, and it can require more memory.
Ultra | Can give a higher compression ratio than Maximum level. But it can be slower, and it can require more memory.
Compression method

Specifies compression method. Each archive format can have its own compression methods:

Method | Description
LZMA | Default compression method of 7z format. It provides high compression ratio and very fast decompression.
PPMd | Dmitry Shkarin's PPMdH algorithm with small changes. Usually it provides high compression ratio and high speed for text files.
BZip2 | Standard compression method based on BWT algorithm. Usually it provides high speed and pretty good compression ratio for text files.
Deflate | Standard compression method of ZIP and GZip formats. Compression ratio is not too high. But it provides pretty fast compressing and decompressing. Deflate method supports only 32 KB dictionary.
Deflate64 | Modified version of Deflate algorithm with bigger dictionary (64KB).

Estimated 7-Zip performance and memory requirements for AMD Athlon 64 X2 3800+:

Method | Level | Dictionary Size | Compressing Speed | Decompressing Speed | Memory for Compressing | Memory for Decompressing
LZMA | fastest | 64 KB | 4.5 MB/s | 15 MB/s | 3 MB | 3 MB
fast | 1 MB | 3 MB/s | 10 MB | 3 MB
normal | 16 MB | 2 MB/s | 186 MB | 18 MB
maximum | 32 MB | 1.8 MB/s | 376 MB | 34 MB
ultra | 64 MB | 1.6 MB/s | 709 MB | 66 MB
PPMD | fast | 4 MB | 1.4 MB/s | 6 MB
normal | 24MB | 1.2 MB/s | 26 MB
maximum | 64 MB | 1.0 MB/s | 66 MB
ultra | 192 MB | 0.9 MB/s | 194 MB
Deflate | fast | 32 KB | 15 MB/s | 40 MB/s | 3 MB | 2 MB
normal | 3.5 MB/s
maximum | 1.5 MB/s | 4MB
ultra | 0.4 MB/s
BZip2 | normal | 900 KB | 3 MB/s | 16 MB/s | 20 MB | 7 MB
maximum | 1.2 MB/s
ultra | 0.4 MB/s
Dictionary size

Specifies Dictionary size for compression method.

Usually, a higher Dictionary size gives a higher compression ratio. But compressing can be slower and it can require more memory.

Memory (RAM) usage for LZMA compressing is about 11 times more than dictionary size. Memory usage for LZMA decompressing is close to value of dictionary size. Memory usage for PPMd compressing and decompressing is almost equal to dictionary size.

Word size

Specifies the length of words, which will be used to find identical sequences of bytes for compression.

Usually for LZMA and Deflate, big Word size gives a little bit better compression ratio and slower compression process. A big Word size parameter can significantly increase compression ratio for files which contain long identical sequences of bytes. For PPMd, the Word size strongly affects both compression ratio and compression/decompression speed.

Solid Block size

Specifies the size of a solid block. You can also disable solid mode. In solid mode all files will be compressed as continuous data blocks. Usually compressing to a solid archive improves the compression ratio. You can use this option only for 7z archives. With the current version of 7z, you can update existing archives only when solid mode is switched off and the existing archive is non-solid.

Number of CPU threads

Specifies the number of threads for compressing. A big number of threads can speed up compression speed on Multi-Processor systems. Sometimes it can increase speed even on single-core CPU.

Split to volumes
    {Size}[b | k | m | g]

Specifies volume sizes in Bytes, Kilobytes (1 Kilobyte = 1024 bytes), Megabytes (1 Megabyte = 1024 Kilobytes) or Gigabytes (1 Gigabyte = 1024 Megabytes). If you specify only {Size}, 7-zip will treat it as bytes. It's possible to specify several values. Example:

    10k 15k 2m

The first volume will be 10 KB, the second will be 15 KB, and all others will be 2 MB.

Parameters

Allows you to specify parameters for compression. See the -m (Method) switch description for more details. Omit the -m prefix (as in -m switch) when using this dialog box.

Examples

      0=PPMd

uses PPMd method for compressing files.

      0=bcj2 1=lzma:d23 2=lzma 3=lzma b0:1 b0s1:2 b0s2:3

uses BCJ2 filter (for x86 executables) and LZMA.

Update mode

Specifies update mode:

Value | Meaning
Add and replace files | Add all specified files to the archive.
Update and add files | Update older files in the archive and add files that are new to the archive.
Freshen existing files | Update specified files in the archive that are older than the selected disk files.
Synchronize files | Replace specified files only if added files are newer. Always add those files, which are not present in the archive. Delete from archive those files, which are not present on the disk.
Options

Specifies compression options:

Option | Meaning
Create SFX archive | Create self-extracting archive. You can use this option only for 7z archives. Look to -sfx (Create SFX archive) switch description for more details about SFX modules.
Compress shared files | Compress files open for writing by another applications.
Encryption

Specifies password and encryption options.

Enter password
Specify passord here
Reenter password
Reenter passord here for verification
Show Password
Shows Password
Encryption method
Specifies the encryption method. For 7z format, it can be only AES-256. For ZIP format you can select ZipCrypto or AES-256. Use ZipCrypto, if you want to get archive compatible with most of the ZIP archivers. AES-256 provides stronger encryption, but now AES-256 is supported only by 7-Zip, WinZip and some other ZIP archivers.
Encrypt file names
Enables or disables archive header encryption, including file name encryption.


Extract Dialog Box

Allows you to specify options for extracting files from archive.

How to run this dialog box

There are two ways to run this dialog

  • To extract all files from an archive:
    1. In Windows Explorer or in 7-Zip, right-click the archive file.
    2. Point to 7-Zip, and then click Extract files....
  • To extract specified files from an archive opened in the browsing window:
    1. Open archive with 7-Zip.
    2. Select items to extract.
    3. Right-click items and then click Copy To....

Parameters

Extract to
Provides a space for you to specify an output folder. You can click "..." button to display "Browse for folder" dialog box that you can use to locate output folder.
Path mode

Specify extract mode:

Value | Meaning
Full pathnames | Extract files with full pathnames.
Current pathnames | Extract files with all relative paths.
No pathnmes | Extract files without folder paths.
Overwrite mode

Specify overwrite mode for files that already present on disk:

Value | Meaning
Ask before overwrite | Ask before overwriting existing files.
Overwrite without prompt | Overwrite existing files without prompt.
Skip existing files | Skip extracting of existing files.
Auto rename | Rename extracted files, if a file with the same name already exists. For example, file document.txt will be renamed to document_1.txt.
Files

Specifies files for extracting:

Value | Meaning
Selected files | Extract only files that are selected in the main window.
All files | Extract all files.
Password

Specifies a password for encrypted archives.


7-Zip Options Dialog Box

You can change many of the settings that affect the 7-Zip Plugin in the 7-Zip Options Dialog Box. To access this dialog box, select Options from the Tools menu, then select the Plugins Page, select 7-Zip plugin, and press Options.

The options dialog box contains the following pages:

  • System Page
  • Folders Page

System Page

Allows you to specify behavior of 7-Zip in Windows Shell.

Integrate 7-Zip to shell context menu
Select this check box to add 7-Zip commands to Shell Context Menu.
Cascaded context menu
Select this check box to group 7-Zip context menu items to one 7-Zip submenu.
Context menu items
Lists the optional context menu items. If an item is checked, 7-Zip will add this item to the context menu.

Folders Page

Allows you to set the folders which 7-Zip will use for internal purposes.

Working folder

The working folder section allows you to specify a folder which will be used for temporary archive files:

System temp folder
7-Zip will use the Windows temp folder.
Current
7-Zip will use the folder containing the target archive.
Specified
7-Zip will use the folder specified in the following edit control.
Use for removable drives only
Specifies whether 7-Zip should use the specified folder settings only for removable drives; for other drives, 7-Zip will create temporary archives in the folder containing the target archive. If you clear this check box, 7-Zip always will use the specified folder settings mode always.

7-Zip uses temporary archive files for all update operations. So, for speed reasons, it is recommended that you select the System temp folder option and select Use for removable drives only check box.


Command Line Version User's Guide

7z.exe is the command line version of 7-Zip. 7z.exe uses 7z.dll from the 7-Zip package. 7z.dll is used by the 7-Zip File Manager also.

7za.exe (a = alone) is a standalone version of 7-Zip. 7za.exe supports only 7z, cab, zip, gzip, bzip2, Z and tar formats. 7za.exe doesn't use external modules.

  • Command Line syntax
  • Exit Codes
  • Commands
  • Switches


Command Line Syntax

7z <command> [<switch>...] <base_archive_name> [<arguments>...]

<arguments> ::= <switch> | <wildcard> | <filename> | <list_file>
<switch>::= <switch_symbol><switch_characters>[<option>]
<switch_symbol> ::= '/' | '-'
<list_file> ::= @{filename}

Expressions in square brackets (between '[' and ']') are optional.

Expressions in curly braces ('{' and '}') mean that instead of that Expression (including braces), the user must substitute some string.

Expression

expression1 | expression2 | ... | expressionN

means that any (but only one) from these expressions must be specified.

Commands and switches can be entered in upper or lower case.

Command is the first non-switch argument.

The "base_archive_name" must be the first filename on the command line after the command.

The switches and other filenames can be in any order.

Wildcards or filenames with spaces must be quoted:

    "Dir\Program files\*"
    Dir\"Program files"\*

Switch options can be combined to save command line length. However, some switch options take optional string arguments and therefore, must be the last option in a combined argument token string because 7-Zip accepts the rest of the argument token as the optional argument.

7-Zip uses wild name matching similar to Windows 95:

  • '*' means a sequence of arbitrary characters.
  • '?' means any character.

7-Zip doesn't uses the system wildcard parser. 7-Zip doesn't follow the archaic rule by which *.* means any file. 7-Zip treats *.* as matching the name of any file that has an extension. To process all files, you must use a * wildcard.

Examples:

*.txt | means all files with an extension of ".txt"
?a* | means all files with a second character of "a"
*1* | means all names that contains character "1"
*.*.* | means all names that contain two "." means characters

The default wildcard "*" will be used if there is no filename/wildcard in the command line.

Slash ('\') at the end of a path means a directory. Without a Slash ('\') at the end of the path, the path can refer either to a file or a directory.

List file

You can supply one or more filenames or wildcards for special list files (files containing lists of files). The filenames in such list file must be separated by new line symbol(s).

For list files, 7-Zip uses UTF-8 encoding by default. You can change encoding using -scs switch.

Multiple list files are supported.

For example, if the file "listfile.txt" contains the following:

    My programs\*.cpp
    Src\*.cpp

then the command

    7z a -tzip archive.zip @listfile.txt

adds to the archive "archive.zip" all "*.cpp" files from directories "My programs" and "Src".

Short and Long File Names

7-Zip supports short file names (like FILENA~1.TXT) in some cases. However, it's strongly recommended to use only the real (long) file names.


Exit Codes from 7-Zip

7-Zip returns the following exit codes:

Code | Meaning
0 | No error
1 | Warning (Non fatal error(s)). For example, one or more files were locked by some other application, so they were not compressed.
2 | Fatal error
7 | Command line error
8 | Not enough memory for operation
255 | User stopped the process


a (Add) command

Adds files to archive.

Examples

7z a -tzip archive.zip subdir\

adds all files and subfolders from folder subdir to archive archive.zip.

7z a -t7z Files.7z *.txt -r

adds all *.txt files from current folder and its subfolders to archive Files.7z.

Switches that can be used with this command

-i (Include)
-m (Method)
-p (Set Password)
-r (Recurse)
-sfx (create SFX)
-si (use StdIn)
-so (use StdOut)
-ssw (Compress shared files)
-t (Type of archive)
-u (Update)
-v (Volumes)
-w (Working Dir)
-x (Exclude)

See also

Commands: d (Delete), u (Update)
Switches: -u (Update)


b (Benchmark) command

Measures speed of the CPU and checks RAM for errors.

Syntax

b [number_of_iterations] [-mmt{N}] [-md{N}] [-mm={Method}]

There are two tests:

  1. Compressing with LZMA method
  2. Decompressing with LZMA method

The benchmark shows a rating in MIPS (million instructions per second). The rating value is calculated from the measured CPU speed and it is normalized with Intel Core 2 Duo E6600 (2.4 GHz, 4 MB L2) CPU in 64-bit Windows with multi-threading option switched off. So if you have Intel Core 2 Duo, rating values must be close to real CPU frequency.

You can change the upper dictionary size to increase memory usage by -md{N} switch. Also, you can change the number of threads by -mmt{N} switch.

The Dict column shows dictionary size. For example, 21 means 2^21 = 2 MB.

The Usage column shows the percentage of time the processor is working. It's normalized for a one-thread load. For example, 180% CPU Usage for 2 threads can mean that average CPU usage is about 90% for each thread.

The R / U column shows the rating normalized for 100% of CPU usage. That column shows the performance of one average CPU thread.

Avr shows averages for different dictionary sizes.

Tot shows averages of the compression and decompression ratings.

Compression speed and rating strongly depend on memory (RAM) latency.

Decompression speed and rating strongly depend on the integer performance of the CPU. For example, the Intel Pentium 4 has big branch misprediction penalty (which is an effect of its long pipeline) and pretty slow multiply and shift operations. So, the Pentium 4 has pretty low decompressing ratings.

You can run a CRC calculation benchmark by specifying -mm=crc. That test shows the speed of CRC calculation in MB/s. The first column shows the size of the block. The next column shows the speed of CRC calculation for one thread. The other columns are results for multi-threaded CRC calculation.

Examples

7z b
runs benchmarking.
7z b -mmt1 -md26
runs benchmarking with one thread and 64 MB dictionary.
7z b 30

runs benchmarking with default settings for 30 iterations.


d (Delete) command

Deletes files from archive.

Example

7z d archive.zip *.bak -r

deletes *.bak files from archive archive.zip.

Switches that can be used with this command

-i (Include)
-m (Method)
-p (Set Password)
-r (Recurse)
-u (Update)
-w (Working Dir)
-x (Exclude)

See also

Commands: a (Add), u (Update)

Switches: -u (Update)


e (Extract) command

Extracts files from an archive to the current directory or to the output directory. The output directory can be specified by -o (Set Output Directory) switch.

This command copies all extracted files to one directory. If you want extract files with full paths, you must use x (Extract with full paths) command.

7-Zip will prompt the user before overwriting existing files unless the user specifies the -y (Assume Yes on all queries) switch. If the user gives a no answer, 7-Zip will prompt for the file to be extracted to a new filename. Then a no answer skips that file; or, yes prompts for new filename.

7-Zip accepts the following responses:

Answer | Abbr. | Action
Yes | y |
No | n |
Always | a | Assume YES for ALL subsequent queries of the same class
Skip | s | Assume NO for ALL subsequent queries of the same class
Quit | q | Quit the program

Abbreviated responses are allowed.

Examples

7z e archive.zip

extracts all files from archive archive.zip to the current directory.

7z e archive.zip -oc:\soft *.cpp -r

extracts all *.cpp files from archive archive.zip to c:\soft folder.

Switches that can be used with this command

-ai (Include archives)
-an (Disable parsing of archive_name)
-ao (Overwrite mode)
-ax (Exclude archives)
-i (Include)
-o (Set Output Directory)
-p (Set Password)
-r (Recurse)
-so (use StdOut)
-x (Exclude)
-y (Assume Yes on all queries)

See also

Commands: x (Extract with full paths)


Command Line Switches

Syntax

<switch>::= <switch_symbol><switch_characters>[<option>]
<switch_symbol> ::= '/' | '-'

On the command line, a switch consists of a switch specifier, either a dash (-) or a forward slash (/), followed by the name of the switch. Switch names cannot be abbreviated.

Some switches take an argument after the switch name. No spaces or tabs are allowed within a switch specification. Switch names are not case sensitive, but arguments can be case sensitive.

Switch can be used in any place in command line.

See also Command Line Syntax for more details about using the command line.

Switch quick reference

Switch | Description
-- | Stop switches parsing
-ai | Include archive filenames
-an | Disable parsing of archive_name
-ao | Overwrite mode
-ax | Exclude archive filenames
-i | Include filenames
-m | Set Compression Method
-o | Set Output directory
-p | Set Password
-r | Recurse subdirectories
-scs | Set charset for list files
-seml | Send archive by email
-slp | Set Large Pages mode
-slt | Show technical information
-sfx | Create SFX archive
-si | Read data from StdIn
-so | Write data to StdOut
-ssc | Set Sensitive Case mode
-ssw | Compress files open for writing
-t | Type of archive
-u | Update options
-v | Create Volumes
-w | Set Working directory
-x | Exclude filenames
-y | Assume Yes on all queries


-- (Stop switches parsing) switch

Disables switch parsing after "--" on the command line. This is to allow 7-Zip to use file names that start with "-".

Syntax

--

Examples

7z t -- -ArchiveName.7z

tests -ArchiveName.7z archive.


-ai (Include archive filenames) switch

Specifies additional include archive filenames and wildcards.

Multiple include switches are supported.

Syntax

-ai[<recurse_type>]<file_ref>

<recurse_type> ::= r[- | 0]
<file_ref> ::= @{listfile} | !{wildcard}

Parameters

<recurse_type>

Specifies how wildcards and file names in this switch must be used. If this option is not given, recursion will be not used. For more details see specification of the -r (Recurse) switch.

<recurse_type> ::= r[- | 0]
<file_ref>

Specifies filenames and wildcards or list file that specify processed files.

<file_ref> ::= @{listfile} | !{wildcard}
Option | Description
{listfile} | Specifies name of list file. See List file description.
{wildcard} | Specifies wildcard or filename.

Examples

7z t -an -air!*.7z

tests *.7z archives in current directory and all it's subdirectories.

Commands that can be used with this switch

a (Add), d (Delete), e (Extract), l (List), t (Test), u (Update), x (Extract with full paths)

See also

Switches: -ax (Exclude archives) -an (Disable parsing of archive_name)


-an (Disable parsing of archive_name) switch

Disables parsing of the archive_name field on the command line. This switch must be used with the -ai (Include archives) switch. If you use a file list for your archives, you specify it with the -ai switch, so you need to disable parsing of archive_name field from command line.

Syntax

-an

Examples

7z t -an -ai!*.7z -ax!a*.7z

tests all *.7z archives, except a*.7z archives.

Commands that can be used with this switch

e (Extract), l (List), t (Test), x (Extract with full paths)

See also

Switches: -ai (Include archives) -ax (Exclude archives)


-ao (Overwrite mode) switch

Specifies the overwrite mode during extraction, to overwrite files already present on disk.

Syntax

-ao[a | s | t | u ]

Switch | Description
-aoa | Overwrite All existing files without prompt.
-aos | Skip extracting of existing files.
-aou | aUto rename extracting file (for example, name.txt will be renamed to name_1.txt).
-aot | auto rename existing file (for example, name.txt will be renamed to name_1.txt).

Examples

7z x test.zip -aoa

extracts all files from test.zip archive and overwrites existing files without any prompt.

Commands that can be used with this switch

e (Extract), x (Extract with full paths)

See also

Switches: -y (assume Yes on all queries),


-ax (Exclude archive filenames) switch

Specifies archives to be excluded from the operation.

Multiple exclude archive switches are supported.

Syntax

-ax[<recurse_type>]<file_ref>

<recurse_type> ::= r[- | 0]
<file_ref> ::= @{listfile} | !{wildcard}

See -xi (Include archive filenames) switch description for information about option parameters.

Examples

7z t -an -ai!*.7z -ax!a*.7z

tests all *.7z archives, except a*.7z archives.

Commands that can be used with this switch

e (Extract), l (List), t (Test), x (Extract with full paths)

See also

Switches: -ai (Include archives) -an (Disable parsing of archive_name)


-i (Include filenames) switch

Specifies additional include filenames and wildcards.

Multiple include switches are supported.

Syntax

-i[<recurse_type>]<file_ref>

<recurse_type> ::= r[- | 0]
<file_ref> ::= @{listfile} | !{wildcard}

Parameters

<recurse_type>

Specifies how wildcards and file names in this switch must be used. If this option is not given, then the global value, assigned by the -r (Recurse) switch will be used. For more details see specification of the -r (Recurse) switch.

<recurse_type> ::= r[- | 0]
<file_ref>

Specifies filenames and wildcards, or a list file, for files to be processed.

<file_ref> ::= @{listfile} | !{wildcard}
Option | Description
{listfile} | Specifies name of list file. See List file description.
{wildcard} | Specifies wildcard or filename.

Examples

7z a -tzip src.zip *.txt -ir!DIR1\*.cpp

adds to src.zip archive all *.txt files from current directory and all *.cpp files from directory DIR1 and from all it's subdirectories.

Commands that can be used with this switch

a (Add), d (Delete), e (Extract), l (List), t (Test), u (Update), x (Extract with full paths)

See also

Switches: -r (Recurse), -x (Exclude)


-m (Set compression Method) switch

Specifies the compression method.

Syntax

-m<method_parameters>

The format for this switch depends on the archive type.

Zip

Parameter | Default | Description
x=[0 | 1 | 3 | 5 | 7 | 9 ] | 5 | Sets level of compression.
m={MethodID} | Deflate | Sets a method: Copy, Deflate, Deflate64, BZip2.
fb={NumFastBytes} | 32 | Sets number of Fast Bytes for Deflate encoder.
pass={NumPasses} | 1 | Sets number of Passes for Deflate encoder.
d={Size}[b|k|m] | 900000 | Sets Dictionary size for BZip2
mt=[off | on | {N}] | on | Sets multithreading mode.
em={EncryptionMethodID} | ZipCrypto | Sets a encryption method: ZipCrypto, AES128, AES192, AES256
x=[0 | 1 | 3 | 5 | 7 | 9 ]

Sets level of compression. x=0 means Copy mode (no compression).

Deflate / Deflate64 settings:

Level | NumFastBytes | NumPasses | Description
1 | 32 | 1 | Fastest
3 | Fast
5 | Normal
7 | 64 | 3 | Maximum
9 | 128 | 10 | Ultra

x=1 and x=3 with Deflate method set fast mode for compression.

BZip2 settings:

Level | Dictionary | NumPasses | Description
1 | 100000 | 1 | Fastest
3 | 500000 | Fast
5 | 900000 | Normal
7 | 2 | Maximum
9 | 7 | Ultra
fb={NumFastBytes}

Sets the number of fast bytes for the Deflate/Deflate64 encoder. It can be in the range from 3 to 258 (257 for Deflate64). Usually, a big number gives a little bit better compression ratio and a slower compression process. A large fast bytes parameter can significantly increase the compression ratio for files which contain long identical sequences of bytes.

pass={NumPasses}

Sets number of passes for Deflate encoder. It can be in the range from 1 to 15 for Deflate and from 1 to 10 for BZip2. Usually, a big number gives a little bit better compression ratio and a slower compression process.

d={Size}[b|k|m]

Sets the Dictionary size for BZip2. You must specify the size in bytes, kilobytes, or megabytes. The maximum value for the Dictionary size is 900000b. If you do not specify any symbol from set [b|k|m], dictionary size will be calculated as DictionarySize = 2^Size bytes.

mt=[off | on | {N}]

Sets multithread mode. If you have a multiprocessor or multicore system, you can get a speed increase with this switch. This option affects only compression with BZip2, Deflate and Deflate64 methods and decompression of BZip2 streams. Each thread in the multithread mode uses 32 MB of RAM for buffering. If you specify {N}, 7-Zip tries to use N threads.

GZip

GZip uses the same parameters as Zip, but GZip compresses only with Deflate method.

BZip2

Parameter | Default | Description
x=[1 | 3 | 5 | 7 | 9 ] | 5 | Sets level of compression.
pass={NumPasses} | 1 | Sets number of Passes for Bzip2 encoder.
mt=[off | on | {N}] | on | Sets multithreading mode.
x=[1 | 3 | 5 | 7 | 9 ]

Sets level of compression

Level | NumPasses | Description
5 | 1 | Default compression method.
7 | 2 | Maximum compression method.
9 | 7 | Ultra compression method.
pass={NumPasses}

Sets the number of passes. It can be in the range from 1 to 10. The default value is 1 for normal mode, 2 for maximum mode and 7 for ultra mode. A bigger number can give a little bit better compression ratio and a slower compression process.

mt=[off | on | {N}]

Sets multithread mode. If you have a multiprocessor or multicore system, you can get a speed increase with this switch. If you specify {N}, for example mt=4, 7-Zip tries to use 4 threads.

7z

Parameter | Default | Description
x=[0 | 1 | 3 | 5 | 7 | 9 ] | 5 | Sets level of compression.
s=[off | on | [e] [{N}f] [{N}b | {N}k | {N}m | {N}g] | on | Sets solid mode.
f=[off | on] | on | Enables or disables compression filters for executable files.
hc=[off | on] | on | Enables or disables archive header compressing.
he=[off | on] | off | Enables or disables archive header encryption.
b{C1}[s{S1}]:{C2}[s{S2}] |  | Sets binding beetwen coders.
{N}={MethodID}[:param1][:param2][..] | LZMA | Sets a method: LZMA, PPMd, BZip2, Deflate, BCJ, BCJ2, Copy.
mt=[off | on | {N}] | on | Sets multithreading mode.
x=[0 | 1 | 5 | 7 | 9 ]

Sets level of compression

Level | Method | Dictionary | FastBytes | MatchFinder | Filter | Description
0 | Copy | No compression.
1 | LZMA | 64 KB | 32 | HC4 | BCJ | Fastest compressing
3 | LZMA | 1 MB | 32 | HC4 | BCJ | Fast compressing
5 | LZMA | 16 MB | 32 | BT4 | BCJ | Normal compressing
7 | LZMA | 32 MB | 64 | BT4 | BCJ | Maximum compressing
9 | LZMA | 64 MB | 64 | BT4 | BCJ2 | Ultra compressing
s=[off | on | [e] [{N}f] [{N}b | {N}k | {N}m | {N}g)]

Enables or disables solid mode. The default mode is s=on. In solid mode, files are grouped together. Usually, compressing in solid mode improves the compression ratio.

e | Use a separate solid block for each new file extension
{N}f | Set the limit for number of files in one solid block
{N}b | {N}k | {N}m | {N}g | Set a limit for the total size of a solid block in bytes

These are the default limits for the solid block size:

Compression Level | Solid block size
Store | 0 B
Fastest | 16 MB
Fast | 128 MB
Normal | 2 GB
Maximum | 4 GB
Ultra | 4 GB

Limitation of the solid block size usually decreases compression ratio but gives the following advantages:

  • Decreases losses in case of future archive damage.
  • Decreases extraction time of a group of files (or just one file), so long as the group doesn't contain the entire archive.

The current version of 7-Zip doesn't support updating of solid archives, if it requires repacking solid blocks.

Example:

        s=100f10m

set solid mode with 100 files & 10 MB limits per one solid block.

f=[off | on]

Enables or disables compression filters for executable files: dll, exe, ocx, sfx, sys. It uses BCJ2 filter in Ultra mode and BCJ filter in other modes. The default mode is f=on.

hc=[off | on]

Enables or disables archive header compressing. The default mode is hc=on. If archive header compressing is enabled, some parts of archive header will be compressed with LZMA method.

he=[off | on]

Enables or disables archive header encryption. The default mode is he=off.

{N}

Sets order of methods. It is used also to associate parameters with methods. Numbers must begin from 0. Methods that have smaller numbers will be used before others.

b{C1}[s{S1}]:{C2}[s{S2}]

Binds output stream S1 in coder C1 with input stream S2 in coder C2. If stream number is not specified, stream with number 0 will be used.

Usally coder has one input stream and one output stream. In 7z some coders can have multiple input and output streams.

For example, BCJ2 encoder has one input stream and four output streams.

mt=[off | on | {N}]

Sets multithread mode. If you have a multiprocessor or multicore system, you can get a increase with this switch. 7-Zip supports multithread mode only for LZMA compression and BZip2 compression / decompression. If you specify {N}, for example mt=4, 7-Zip tries to use 4 threads. LZMA compression uses only 2 threads.

{N}={MethodID}[:param1][:param2] ... [:paramN]

Sets compression method. You can use any number of methods. The default method is LZMA.

Parameters must be in one of the following forms:

  • {ParamName}={ParamValue}.
  • {ParamName}{ParamValue}, if {ParamValue} is number and {ParamName} doesn't contain numbers.

Supported methods:

MethodID | Description
LZMA | Algorithm based on LZ algorithm
PPMd | Dmitry Shkarin's PPMdH with small changes
BZip2 | BWT algorithm
Deflate | LZ+Huffman
Copy | No compression

Supported filters:

MethodID | Description
BCJ | converter for x86 executables
BCJ2 | converter for x86 executables (version 2)
BC_ARM | converter for ARM (little endian) executables
BC_ARMThumb | converter for ARM Thumb (little endian) executables
BC_IA64 | converter for IA-64 executables
BC_PPC_B | converter for PowerPC (big endian) executables
BC_SPARC | converter for SPARC executables

Filters increase the compression ratio for some types of files. Filters must be used with one of the compression method (for example, BCJ + LZMA).

LZMA

LZMA is an algorithm based on Lempel-Ziv algorithm. It provides very fast decompression (about 10-20 times faster than compression). Memory requirements for compression and decompression also are different (see d={Size}[b|k|m] switch for details).

Parameter | Default | Description
a=[0|1] | 1 | Sets compressing mode
d={Size}[b|k|m] | 24 | Sets Dictionary size
mf={MF_ID} | bt4 | Sets Match Finder
fb={N} | 32 | Sets number of Fast Bytes
mc={N} | 32 | Sets Number of Cycles for Match Finder
lc={N} | 3 | Sets number of Literal Context bits - [0, 8]
lp={N} | 0 | Sets number of Literal Pos bits - [0, 4]
pb={N} | 2 | Set number of Pos Bits - [0, 4]
a=[0|1]

Sets compression mode: 0 = fast, 1 = normal. Default value is 1.

d={Size}[b|k|m]

Sets Dictionary size for LZMA. You must specify the size in bytes, kilobytes, or megabytes. The maximum value for dictionary size is 1 GB = 2^30 bytes. Default values for LZMA are 24 (16 MB) in normal mode, 25 (32 MB) in maximum mode (-mx=7) and 26 (64 MB) in ultra mode (-mx=9). If you do not specify any symbol from the set [b|k|m], the dictionary size will be calculated as DictionarySize = 2^Size bytes. For decompressing a file compressed by LZMA method with dictionary size N, you need about N bytes of memory (RAM) available.

mf={MF_ID}

Sets Match Finder for LZMA. Default method is bt4. Algorithms from hc* group don't provide a good compression ratio, but they often work pretty fast in combination with fast mode (a=0). Memory requirements depend on dictionary size (parameter "d" in table below).

MF_ID | Memory | Description
bt2 | d*9.5 + 4 MB | Binary Tree with 2 bytes hashing.
bt3 | d*11.5 + 4 MB | Binary Tree with 3 bytes hashing.
bt4 | d*11.5 + 4 MB | Binary Tree with 4 bytes hashing.
hc4 | d*7.5 + 4 MB | Hash Chain with 4 bytes hashing.

Note: Your operation system also needs some amount of physical memory for internal purposes. So keep at least 32MB of physical memory unused.

fb={N}

Sets number of fast bytes for LZMA. It can be in the range from 5 to 273. The default value is 32 for normal mode and 64 for maximum and ultra modes. Usually, a big number gives a little bit better compression ratio and slower compression process.

mc={N}

Sets number of cycles (passes) for match finder. It can be in range from 0 to 1000000000. Default value is (16 + number_of_fast_bytes / 2) for BT* match finders and (8 + number_of_fast_bytes / 4) for HC4 match finder. If you specify mc=0, LZMA will use default value. Usually, a big number gives a little bit better compression ratio and slower compression process. For example, mf=HC4 and mc=10000 can provide almost the same compression ratio as mf=BT4.

lc={N}

Sets the number of literal context bits (high bits of previous literal). It can be in range from 0 to 8. Default value is 3. Sometimes lc=4 gives gain for big files.

lp={N}

Sets the number of literal pos bits (low bits of current position for literals). It can be in the range from 0 to 4. The default value is 0. The lp switch is intended for periodical data when the period is equal to 2^value (where lp=value). For example, for 32-bit (4 bytes) periodical data you can use lp=2. Often it's better to set lc=0, if you change lp switch.

pb={N}

Sets the number of pos bits (low bits of current position). It can be in the range from 0 to 4. The default value is 2. The pb switch is intended for periodical data when the period is equal 2^value (where lp=value).

PPMd

PPMd is a PPM-based algorithm. This algorithm is mostly based on Dmitry Shkarin's PPMdH source code. PPMd provides very good compression ratio for plain text files. There is no difference between compression speed and decompression speed. Memory requirements for compression and decompression also are the same.

Parameter | Default | Description
mem={Size}[b|k|m] | 24 | Sets size of used memory for PPMd.
o={Size} | 6 | Sets model order for PPMd.
mem={Size}[b|k|m]

Sets the size of memory used for PPMd. You must specify the size in bytes, kilobytes, or megabytes. The maximum value is 2GB = 2^31 bytes. The default value is 24 (16MB). If you do not specify any symbol from the set [b|k|m], the memory size will be calculated as (2^Size) bytes. PPMd uses the same amount of memory for compression and decompression.

o={Size}

Sets the model order for PPMd. The size must be in the range [2,32]. The default value is 6.

BCJ2

BCJ2 is a Branch converter for 32-bit x86 executables (version 2). It converts some branch instructions for increasing further compression.

A BCJ2 encoder has one input stream and four output streams:

  • s0: main stream. It requires further compression.
  • s1: stream for converted CALL values. It requires further compression.
  • s2: stream for converted JUMP values. It requires further compression.
  • s3: service stream. It is already compressed.

If LZMA is used, the size of the dictionary for streams s1 and s2 can be much smaller (512 KB is enough for most cases) than the dictionary size for stream s0.

Examples

7z a -tzip archive.zip *.jpg -mx0

adds *.jpg files to archive.zip archive without compression.

7z a -t7z archive.7z *.exe *.dll -m0=BCJ -m1=LZMA:d=21 -ms -mmt

adds *.exe and *.dll files to solid archive archive.7z using LZMA method with 2 MB dictionary and BCJ converter. Compression will use multithreading optimization.

7z a -t7z archive.7z *.exe *.dll -m0=BCJ2 -m1=LZMA:d23 -m2=LZMA:d19 -m3=LZMA:d19
     -mb0:1 -mb0s1:2 -mb0s2:3

adds *.exe and *.dll files to archive archive.7z using BCJ2 converter, LZMA with 8 MB dictionary for main output stream (s0), and LZMA with 512 KB dictionary for s1 and s2 output streams of BCJ2.

7z a -t7z archive.7z *.txt -m0=PPMd

adds *.txt files to archive archive.7z using PPMd method.

Commands that can be used with this switch

a (Add), d (Delete), u (Update),

See also

Switches: -t (set Type of archive),


-o (set Output directory) switch

Specifies a destination directory where files are to be extracted.

This switch can be used only with extraction commands.

Syntax

-o{dir_path}
{dir_path}
This is the destination directory path. It's not required to end with a backslash.

Example

7z x archive.zip -oc:\Doc

extracts all files from the archive.zip archive to the c:\Doc directory.

7z x *.zip -o*

extracts all *.zip archives to subfolders with names of these archives.

Commands that can be used with this switch

e (Extract), x (Extract with full paths)


-p (set Password) switch

Specifies password.

Syntax

-p{password}
{password}
Specifies password.

Examples

7z a archive.7z -psecret -mhe *.txt

compresses *.txt files to archive.7z using password "secret". Also it encrypts archive headers (-mhe switch), so filenames will be encrypted.

7z x archive.zip -psecret

extracts all files from archive.zip using password "secret".

Commands that can be used with this switch

a (Add), d (Delete), e (Extract), t (Test), u (Update), x (Extract with full paths)


-r (Recurse subdirectories) switch

Specifies the method of treating wildcards and filenames on the command line.

Syntax

-r[- | 0]

Switch | Description
-r | Enable recurse subdirectories.
-r- | Disable recurse subdirectories. This option is default for all commands.
-r0 | Enable recurse subdirectories only for wildcard names.

Examples

7z l archive.zip *.doc -r-

lists all *.doc files that belong to the archived root directory in the archive.zip archive.

7z a -tzip archive.zip -r src\*.cpp src\*.h

adds all *.cpp and *.h files from directory src and all it's subdirectories to the archive.zip archive.

Commands that can be used with this switch

a (Add), d (Delete), e (Extract), l (List), t (Test), u (Update), x (Extract with full paths)

See also

Switches: -i (Include), -x (Exclude)


-scs (Set charset for list files) switch

Sets charset for list files.

Syntax

-scs{UTF-8 | WIN | DOS}

Default charset is UTF-8.

UTF-8
Unicode UTF-8 character set.
WIN
Default character set of Windows.
DOS
Default DOS (OEM) character set of Windows.

Example

7z a archive.7z @listfile.txt -scsWIN

compresses files from listfile.txt list, that contains list of files in default character set of Windows.

Commands that can be used with this switch

a (Add), u (Update)


-seml (Send archive by email) switch

Sends an archive by e-mail.

Syntax

-seml[.]
[.]
Causes the archive to be deleted after attaching a copy of it to the email message.

Example

7z a archive.7z -seml a.txt

compresses the a.txt file and sends it in archive.7z by email.

Commands that can be used with this switch

a (Add), u (Update)


-sfx (Create SFX archive) switch

Creates self extracting archive.

Syntax

-sfx[{SFX_Module}]
{SFX_Module}

Specifies the SFX module that will be combined with the archive. This module must be placed in the same directory as the 7z.exe. If {SFX_Module} is not assigned, 7-Zip will use standard console SFX module 7zCon.sfx.

SFX_Module | Description
7z.sfx | Windows version.
7zCon.sfx | Console version.
7zS.sfx | Windows version for installers.
7zSD.sfx | Windows version for installers (uses MSVCRT.dll).

All SFX modules are uncompressed. You can use UPX program (http://upx.sourceforge.net) to compresss such modules. After compressing by the UPX program, the size of the sfx module will be reduced to 40-50% of its original size.

SFX modules for installers

SFX modules for installers are included in an external package (7z_extra). You can download these modules from www.7-zip.org. SFX modules for installers (7zS.sfx and 7zSD.sfx) allow you to create your own installation program. Such a module extracts the archive to the user's temp folder, and runs a specified program, and removes the temp files after the program finishes. A self-extracting archive for installers must be created as joining 3 files: SFX_Module, Installer_Config, 7z_Archive. In addition, an optional file, Installer_Config, is allowed. You can use the following command to create an installer self-extracting archive:

copy /b 7zS.sfx + config.txt + archive.7z archive.exe

An optimally small installation package size can be achieved, if the installation files are uncompressed before including them in the 7z archive.

-y switch for installer module specifies quiet mode extraction.

Installer Config file format

This config file contains commands for the Installer. The file begins with the string ;!@Install@!UTF-8! and ends with ;!@InstallEnd@!. The file must be written in UTF-8 encoding. The file contains any or all these string pairs:

ID_String="Value"

ID_String | Description
Title | Title for messages
BeginPrompt | Begin Prompt message
Progress | Value can be "yes" or "no". Default value is "yes".
RunProgram | Command for executing. Default value is "setup.exe". Substring %%T will be replaced with path to temporary folder, where files were extracted
Directory | Directory prefix for "RunProgram". Default value is ".\\"
ExecuteFile | Name of file for executing
ExecuteParameters | Parameters for "ExecuteFile"

You may omit any pair.

There are two ways to run a installation program: RunProgram and ExecuteFile. Use RunProgram, if you want to run a program from the .7z archive. Use ExecuteFile, if you want to open a document from the .7z archive, or if you want to execute a command from Windows.

If you use RunProgram, and if you specify empty directory prefix: Directory="", the system searches for the executable file in the following sequence:

  1. The directory from which the application (installer) loaded.
  2. The temporary folder, where files were extracted.
  3. The Windows system directory.

Config file Examples

;!@Install@!UTF-8!
Title="7-Zip 4.00"
BeginPrompt="Do you want to install the 7-Zip 4.00?"
RunProgram="setup.exe"
;!@InstallEnd@!

;!@Install@!UTF-8!
Title="7-Zip 4.00"
BeginPrompt="Do you want to install the 7-Zip 4.00?"
ExecuteFile="7zip.msi"
;!@InstallEnd@!

;!@Install@!UTF-8!
Title="7-Zip 4.01 Update"
BeginPrompt="Do you want to install the 7-Zip 4.01 Update?"
ExecuteFile="msiexec.exe"
ExecuteParameters="/i 7zip.msi REINSTALL=ALL REINSTALLMODE=vomus"
;!@InstallEnd@!

Examples

7z a -sfx a.exe *.txt

adds *.txt files to self extracting archive a.exe using the default console SFX module.

7z a -sfx7z.sfx a.exe *

adds all files to self extracting archive a.exe with module 7z.sfx using windows version of SFX mudule.

Commands that can be used with this switch

a (Add), d (Delete), u (Update),


-si (read data from stdin) switch

Causes 7-Zip to read data from stdin (standard input) instead of from disc files.

Syntax

-si{file_name}
{file_name}
Specifies a name that will be stored in the archive for the compressed data. If file_name is not specified, data will be stored without a name.

Note: The current version of 7-Zip does not support reading of archives from stdin.

Example

7z a archive.gz -tgzip -siDoc2.txt < Doc.txt

compresses input stream from file Doc.txt to archive.gz archive using Doc2.txt file name.

Commands that can be used with this switch

a (Add), u (Update)


-so (write data to stdout) switch

Causes 7-Zip to write output data to stdout (standard output stream).

Syntax

-so

Examples

7z x archive.gz -so > Doc.txt

decompresses archive.gz archive to output stream and then redirects that stream to Doc.txt file.

7z a dummy -tgzip -so Doc.txt > archive.gz

compresses the Doc.txt file to the 7-Zip standard output stream and writes that stream to archive.gz file.

Commands that can be used with this switch

a (Add), e (Extract), u (Update), x (Extract with full paths)


-slp (Set Large Pages mode) switch

Sets Large Pages mode.

Syntax

-slp[-]

Switch | Description
-slp | Enables Large Pages mode.
-slp- | Disables Large Pages mode. This option is default for all commands.

Large Pages mode increases the speed of compression. However, there is a pause at the start of compression while 7-Zip allocates the large pages in memory. If 7-Zip can't allocate large pages, it allocates usual small pages. Also, the Windows Task Manager doesn't show the real memory usage of the program, if 7-Zip uses large pages. This feature works only on Windows 2003 / XP x64 / Vista. Also, it requires administrator's rights for your system. The recommended size of RAM for this feature is 1 GB or more. To install this feature, you must run the 7-Zip File Manager at least once, close it, and then reboot the system.

Your system can hang for several seconds at compressing starting, if you use -slp mode. So it's not recommended to use -slp mode to compress small data sets (less than 100 MB).

Example

7z a archive.7z -slp a.iso

compresses a.iso file with Large Pages mode switched on.


-slt (Show technical information) switch

Sets technical mode for l (List) command.

Syntax

-slt

Example

7z l -slt archive.7z

shows detailed technical information for the files in archive.7z.

Commands that can be used with this switch

l (List)


-ssc (Set Sensitive Case mode) switch

Sets sensitive case mode for file names.

Syntax

-scs[-]

Switch | Description
-ssc | Set case-sensitive mode. It's default for Posix/Linux systems.
-ssc- | Set case-insensitive mode. It's default for Windows systems.

Example

7z a archive.7z A*.txt -ssc -r

compresses all A*.txt files from current directory and all it's subdirectories. That command doesn't compress a*.txt files.

Commands that can be used with this switch

a (Add), d (Delete), e (Extract), l (List), t (Test), u (Update), x (Extract with full paths)


-ssw (Compress files open for writing) switch

Compresses files open for writing by another applications. If this switch is not set, 7-zip doesn't include such files to archive.

Syntax

-ssw

Example

7z a archive.7z -ssw *.txt

compresses all *.txt files in current folder including files open for writing by another applications.

Commands that can be used with this switch

a (Add), u (Update)


-o (set Output directory) switch

-t (set Type of archive) switch

Specifies the type of archive.

Syntax

-t{archive_type}
{archive_type}
Specifies the type of archive. It can be: 7z, zip, gzip, bzip2, or tar. 7z format is the default.

Note: gzip or bzip2 formats support only one file per archive. If you want to compress more than one file to these formats, create a tar archive first, and then compress it with your selected format.

Example

7z a -tzip archive.zip *.txt

adds all *.txt files from current directory to zip archive archive.zip.

Commands that can be used with this switch

a (Add), u (Update)


-u (Update options) switch

Specifies how to update files in an archive and (or) how to create new archives.

Syntax

-u[-]<action_set>[!{new_archive_name}]

  <action_set> ::= <state_action>...

    <state_action> ::= <state><action>

      <state> ::= p | q | r | x | y | z | w

      <action> ::= 0 | 1 | 2 | 3

Parameters

dash (-)

Disables any updates in the base archive.

The term base archive means the archive assigned by "base_archive_name" on the command line. See Command line syntax for more details.

{new_archive_name}

Specifies the path name of the new archive to be created. All options in this switch will refer to this new archive.

If not assigned, then all options in this switch will refer to the base archive of the command.

<state>

Specifies the state of a particular file to be processed.

<state> ::= p | q | r | x | y | z | w

For each unique filename there are 6 variants of state:

<state> | State condition | File on Disk | File in Archive
p | File exists in archive, but is not matched with wildcard. | Exists, but is not matched
q | File exists in archive, but doesn't exist on disk. | Doesn't exist | Exists
r | File doesn't exist in archive, but exists on disk. | Exists | Doesn't exist
x | File in archive is newer than the file on disk. | Older | Newer
y | File in archive is older than the file on disk. | Newer | Older
z | File in archive is same as the file on disk | Same | Same
w Can not be detected what file is newer (times are the same, sizes are different) ? ?
<action>

Specifies the action for a given <state>.

<action> ::= 0 | 1 | 2 | 3

For each state you can specify one of the three variants of actions:

<action> | Description
0 | Ignore file (don't create item in new archive for this file)
1 | Copy file (copy from old archive to new)
2 | Compress (compress file from disk to new archive)
3 | Create Anti-item (item that will delete file or directory during extracting). This feature is supported only in 7z format.

Remarks

Any update command (such as a (Add), d (Delete), u (Update)) can be assigned in these terms.

The following table shows action sets for update commands.

command \ <state> | p | q | r | x | y | z | w
d (Delete) | 1 | 0 | 0 | 0 | 0 | 0 | 0
a (Add) | 1 | 1 | 2 | 2 | 2 | 2 | 2
u (Update) | 1 | 1 | 2 | 1 | 2 | 1 | 2
Synchronize | 1 | 0 | 2 | 1 | 2 | 1 | 2

If you don't specify a !{new_archive_name} option, then all options will refer to the main archive (the archive assigned on the command line after the 7z command). If you specify !{new_archive_name} option, then 7-Zip also will create a new archive with the specified name and all options will refer to that new archive.

Multiple update switches are supported. 7-Zip can create any number of new archives during one operation.

By default, the action set for each new archive is assigned as the action set of the main command. There are 3 different action sets for commands: a (Add), d (Delete), u (Update). You can overload any <state_action> pair.

Time zone notes

If you change time zone (when you move your computer to another time zone or if there are clock changes for daylight saving in your zone), you can have some problems with update commands that depend from file's modification time. It's strongly recommended to use only file system that uses Coordinated Universal Time (UTC) and archive format that also uses UTC. In that case you will have no problems with time zone changes. Also it's recommended to use only UTC formats in other cases, for example, if you send files to someone in another time zone.

Also in some cases there are no problems, if both file system and archive format use local time, for example, FAT file system and ZIP format.

  • UTC file systems: NTFS
  • UTC archive formats: 7z, tar, gzip2, iso, wim
  • Local time file systems : FAT, FAT32
  • Local time archive formats : rar, zip, cab

Examples

7z u c:\1\exist.7z -u- -up0q3x2z0!c:\1\update.7z *

creates a new archive update.7z and writes to this archive all files from current directory which differ from files in exist.7z archive. exist.7z archive will not be changed.

7z u c:\1\exist.7z -up0q3x2z0!c:\1\update.7z * -ms=off

creates a new archive update.7z and writes to this archive all files from the current directory which differ from files in exist.7z archive.

Note: The current version of 7-Zip cannot change an archive created with the solid option switched on. To update a .7z archive, you must create and update the archive in non-solid mode (-ms=off switch).

Commands that can be used with this switch

a (Add), d (Delete), u (Update),


-v (Create Volumes) switch

Specifies volume sizes.

Syntax

-v{Size}[b | k | m | g]
{Size}[b | k | m | g]
Specifies volume size in Bytes, Kilobytes (1 Kilobyte = 1024 bytes), Megabytes (1 Megabyte = 1024 Kilobytes) or Gigabytes (1 Gigabyte = 1024 Megabytes). if you specify only {Size}, 7-zip will treat it as bytes.

It's possible to specify several -v switches.

NOTE: Please don't use volumes (and don't copy volumes) before finishing archiving. 7-Zip can change any volume (including first volume) at the end of archiving operation.

Examples

7z a a.7z *.txt -v10k -v15k -v2m

creates multivolume a.7z archive. First volume will be 10 KB, second will be 15 KB, and all others will be 2 MB.

Commands that can be used with this switch

a (Add),


-w (set Working directory) switch

Sets the working directory for the temporary base archive. By default, 7-Zip builds a new base archive file in the same directory as the old base archive file. By specifying this switch, you can set the working directory where the temporary base archive file will be built. After the temporary base archive file is built, it is copied over the original archive; then, the temporary file is deleted.

Syntax

-w[{dir_path}]
{dir_path}

Specifies the destination directory path. It's not required that a path end with a backslash.

If <dir_path> is not assigned, then 7-Zip will use the Windows temporary directory.

Example

7z a -tzip archive.zip *.cpp -wc:\temp

adds *.cpp files to the archive.zip archive, creating a temporary archive in c:\temp folder.

Commands that can be used with this switch

a (Add), d (Delete), u (Update),


-x (Exclude filenames) switch

Specifies which filenames or wildcarded names must be excluded from the operation.

Multiple exclude switches are supported.

Syntax

-x[<recurse_type>]<file_ref>

<recurse_type> ::= r[- | 0]
<file_ref> ::= @{listfile} | !{wildcard}

See -i (Include) switch description for information about option parameters.

Examples

7z a -tzip archive.zip *.txt -x!temp.*

adds to the archive archive.zip all *.txt files, except temp.* files.

Commands that can be used with this switch

a (Add), d (Delete), e (Extract), l (List), t (Test), u (Update), x (Extract with full paths)

See also

Switches: -r (Recurse), -i (Include)


-y (assume Yes on all queries) switch

Disables most of the normal user queries during 7-Zip execution. You can use this switch to suppress overwrite queries in the e (Extract) and x (Extract with full paths) commands.

Syntax

-y

Examples

7z x src.zip -y

extracts all files from src.zip archive. All overwrite queries will be suppressed and files on disk with same filenames as in archive will be overwritten.

Commands that can be used with this switch

e (Extract), x (Extract with full paths)

See also

Switches: -ao (Overwrite mode),